org.omg.PortableServer

## Class ServantLocatorHelper

- java.lang.Object
- - org.omg.PortableServer.ServantLocatorHelper

-     public abstract class ServantLocatorHelper
      extends Object

  When the POA has the NON_RETAIN policy it uses servant managers that are ServantLocators. Because the POA knows that the servant returned by this servant manager will be used only for a single request, it can supply extra information to the servant manager's operations and the servant manager's pair of operations may be able to cooperate to do something different than a ServantActivator. When the POA uses the ServantLocator interface, immediately after performing the operation invocation on the servant returned by preinvoke, the POA will invoke postinvoke on the servant manager, passing the ObjectId value and the Servant value as parameters (among others). This feature may be used to force every request for objects associated with a POA to be mediated by the servant manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServantLocatorHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServantLocator` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, ServantLocator that)`
    `static ServantLocator` | `narrow(Object obj)`
    `static ServantLocator` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static ServantLocator` | `unchecked_narrow(Object obj)`
    `static void` | `write(OutputStream ostream, ServantLocator value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServantLocatorHelper

          public ServantLocatorHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                    ServantLocator that)

    - #### extract

          public static ServantLocator extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static ServantLocator read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                   ServantLocator value)

    - #### narrow

          public static ServantLocator narrow(Object obj)

    - #### unchecked_narrow

          public static ServantLocator unchecked_narrow(Object obj)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.